import { DeployableFragment, DeployableAtom } from './DeployableFragment';
export declare class ZipBuilder {
    readonly fragments: DeployableFragment[];
    static bufferTo256Fingerprint(buf: Buffer): string;
    static fragmentToBuffer(fragment: DeployableFragment): Promise<Buffer>;
    static merge(buffers: Buffer[]): Promise<Buffer>;
    private populateZip;
    newFragment(): DeployableFragment;
    forEach(consumer: (_: DeployableAtom) => void): void;
    getFragments(): DeployableFragment[];
    importFragment(frag: DeployableFragment): void;
    toBuffer(): Promise<Buffer>;
    unzip(outDir: string): void;
    static toPojo(buffer: Buffer): Promise<any[]>;
}
